## RygelMediaRenderer

RygelMediaRenderer — This class may be used to implement in-process UPnP-AV media renderers.

## Functions

RygelMediaRenderer * | rygel_media_renderer_new ()

## Properties

RygelMediaPlayer * | player | Write / Construct Only

## Types and Values

#define | RYGEL_TYPE_MEDIA_RENDERER
struct | RygelMediaRenderer
struct | RygelMediaRendererClass

## Object Hierarchy

        GObject
        ╰── RygelMediaDevice
            ╰── RygelMediaRenderer

## Description

Call `rygel_media_device_add_interface()` on the RygelMediaRenderer to allow it to render media from that network interface.

See the <link linkend="implementing-renderers">Implementing Renderers</link> section.

## Functions

### rygel_media_renderer_new ()

    RygelMediaRenderer *
    rygel_media_renderer_new (const gchar *title,
                              RygelMediaPlayer *player,
                              RygelPluginCapabilities capabilities);

Create a RygelMediaRenderer to render content via a RygelMediaPlayer.

#### Parameters

title |  |
player |  |
capabilities |  |

## Types and Values

### RYGEL_TYPE_MEDIA_RENDERER

    #define RYGEL_TYPE_MEDIA_RENDERER (rygel_media_renderer_get_type ())

The type for RygelMediaRenderer.

### struct RygelMediaRenderer

    struct RygelMediaRenderer;

This class may be used to implement in-process UPnP-AV media renderers.

Call `rygel_media_device_add_interface()` on the RygelMediaRenderer to allow it to render media from that network interface.

See the <link linkend="implementing-renderers">Implementing Renderers</link> section.

### struct RygelMediaRendererClass

    struct RygelMediaRendererClass {
    	RygelMediaDeviceClass parent_class;
    };

The class structure for `RYGEL_TYPE_MEDIA_RENDERER`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“player”` property

      “player”                   RygelMediaPlayer *

player.

Flags: Write / Construct Only